\appendix

\section*{Appendix}
\addcontentsline{toc}{section}{Appendices}
\renewcommand{\thesubsection}{\Alph{subsection}}

\subsection{git-Repository}

The \textrm{git-repository} can be found at \url{https://gitlab.com/satanik-fhs/msc/thesis.git} and contains the following:

\begin{enumerate}
    \item \textbf{code:} contains the django python code with which the experiment was conducted
    \item \textbf{data:}
    \begin{enumerate}
        \item \textbf{cache:} contains the cached confusion matrices in python pickled binary format
        \item \textbf{models:} contains the serialised models that can be loaded by the respective classes
        \item \textbf{results:} contains the statistics generated from the confusion matrices and the plots generated
        \item \textbf{db.sql:} contains the subset extracted from \icite{so.2019}
    \end{enumerate}
    \item \textbf{tex:} contains the LaTeX code of this thesis
\end{enumerate}

\subsection{Result: Tables \& Plots}\label{ss:appendixb}

Below the rest of the generated tables and plots from the experiments are displayed.

\subsubsection{Self-Ranking Test}

\doubleimage[
    caption={Self-Ranking of Doc2Vec \ac{dbow} recommender.},
    captiona="Doc2Vec (Questions)",
    captionb="Doc2Vec (Answers)",
    label=fig:rank:d2v,
]
{"images/data/rankings/questions-doc2vec-pv-dbow-self-ranking".png}
{"images/data/rankings/answers-doc2vec-pv-dbow-self-ranking".png}

\doubleimage[
    caption={Self-Ranking of \ac{tfidf} recommender.},
    captiona="\ac{tfidf} (Questions)",
    captionb="\ac{tfidf} (Answers)",
    label=fig:rank:tfidf,
]
{"images/data/rankings/questions-tfidf-ntc-self-ranking".png}
{"images/data/rankings/answers-tfidf-ntc-self-ranking".png}

\doubleimage[
    caption={Self-Ranking of \ac{lda} recommender.},
    captiona="\ac{lda} (Questions)",
    captionb="\ac{lda} (Answers)",
    label=fig:lda:d2v,
]
{"images/data/rankings/questions-lda-standard-self-ranking".png}
{"images/data/rankings/answers-lda-standard-self-ranking".png}

\subsubsection{similar-questions.questions-doc2vec-pv-dbow}

\image[
    label=fig:sqqd2v:stats,
    caption={The statistical data of the performance measures for the \emph{similar-questions.questions-doc2vec-pv-dbow} recommender with the Doc2Vec \ac{dbow} text-model on the questions.}
]{"images/data/similar-questions.questions-doc2vec-pv-dbow/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{similar-questions.questions-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:s:prec:rec,
    labela=fig:sqqd2v:prec,
    labelb=fig:sqqd2v:rec
]
{"images/data/similar-questions.questions-doc2vec-pv-dbow/images/10-precision".png}
{"images/data/similar-questions.questions-doc2vec-pv-dbow/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{similar-questions.questions-doc2vec-pv-dbow} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:sqqd2v:a:s
]
{"images/data/similar-questions.questions-doc2vec-pv-dbow/images/10-accuracy".png}
{"images/data/similar-questions.questions-doc2vec-pv-dbow/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{similar-questions.questions-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqqd2v:b:s
]
{"images/data/similar-questions.questions-doc2vec-pv-dbow/images/10-precision-stats".png}
{"images/data/similar-questions.questions-doc2vec-pv-dbow/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{similar-questions.questions-doc2vec-pv-dbow} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:sqqd2v:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{similar-questions.answers-tfidf-ntc}

\image[
    label=fig:sqat:stats,
    caption={The statistical data of the performance measures for the \emph{similar-questions.answers-tfidf-ntc} recommender with the \ac{tfidf} text-model on the answers.}
]{"images/data/similar-questions.answers-tfidf-ntc/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{similar-questions.answers-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqat:prec:rec,
    labela=fig:sqat:prec,
    labelb=fig:sqat:rec
]
{"images/data/similar-questions.answers-tfidf-ntc/images/10-precision".png}
{"images/data/similar-questions.answers-tfidf-ntc/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{similar-questions.answers-tfidf-ntc} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:sqat:a:s
]
{"images/data/similar-questions.answers-tfidf-ntc/images/10-accuracy".png}
{"images/data/similar-questions.answers-tfidf-ntc/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{similar-questions.answers-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqat:b:s
]
{"images/data/similar-questions.answers-tfidf-ntc/images/10-precision-stats".png}
{"images/data/similar-questions.answers-tfidf-ntc/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{similar-questions.answers-tfidf-ntc} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:sqat:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{similar-questions.questions-tfidf-ntc}

\image[
    label=fig:sqqt:stats,
    caption={The statistical data of the performance measures for the \emph{similar-questions.questions-tfidf-ntc} recommender with the \ac{tfidf} text-model on the questions.}
]{"images/data/similar-questions.questions-tfidf-ntc/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{similar-questions.questions-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqqt:prec:rec,
    labela=fig:sqqt:prec,
    labelb=fig:sqqt:rec
]
{"images/data/similar-questions.questions-tfidf-ntc/images/10-precision".png}
{"images/data/similar-questions.questions-tfidf-ntc/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{similar-questions.questions-tfidf-ntc} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:sqqt:a:s
]
{"images/data/similar-questions.questions-tfidf-ntc/images/10-accuracy".png}
{"images/data/similar-questions.questions-tfidf-ntc/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{similar-questions.questions-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqqt:b:s
]
{"images/data/similar-questions.questions-tfidf-ntc/images/10-precision-stats".png}
{"images/data/similar-questions.questions-tfidf-ntc/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{similar-questions.questions-tfidf-ntc} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:sqqt:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{similar-questions.answers-lda-standard}

\image[
    label=fig:sqal:stats,
    caption={The statistical data of the performance measures for the \emph{similar-questions.answers-lda-standard} recommender with the \ac{lda} text-model on the questions.}
]{"images/data/similar-questions.answers-lda-standard/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{similar-questions.answers-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqal:prec:rec,
    labela=fig:sqal:prec,
    labelb=fig:sqal:rec
]
{"images/data/similar-questions.answers-lda-standard/images/10-precision".png}
{"images/data/similar-questions.answers-lda-standard/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{similar-questions.answers-lda-standard} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:sqal:a:s
]
{"images/data/similar-questions.answers-lda-standard/images/10-accuracy".png}
{"images/data/similar-questions.answers-lda-standard/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{similar-questions.answers-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqal:b:s
]
{"images/data/similar-questions.answers-lda-standard/images/10-precision-stats".png}
{"images/data/similar-questions.answers-lda-standard/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{similar-questions.answers-lda-standard} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:sqal:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{similar-questions.questions-lda-standard}

\image[
    label=fig:sqql:stats,
    caption={The statistical data of the performance measures for the \emph{similar-questions.questions-lda-standard} recommender with the \ac{lda} text-model on the questions.}
]{"images/data/similar-questions.questions-lda-standard/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{similar-questions.questions-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqql:prec:rec,
    labela=fig:sqql:prec,
    labelb=fig:sqql:rec
]
{"images/data/similar-questions.questions-lda-standard/images/10-precision".png}
{"images/data/similar-questions.questions-lda-standard/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{similar-questions.questions-lda-standard} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:sqql:a:s
]
{"images/data/similar-questions.questions-lda-standard/images/10-accuracy".png}
{"images/data/similar-questions.questions-lda-standard/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{similar-questions.questions-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:sqql:b:s
]
{"images/data/similar-questions.questions-lda-standard/images/10-precision-stats".png}
{"images/data/similar-questions.questions-lda-standard/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{similar-questions.questions-lda-standard} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:sqql:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-by-similar-users.answers-doc2vec-pv-dbow}

\image[
    label=fig:qbsuad:stats,
    caption={The statistical data of the performance measures for the \emph{questions-by-similar-users.answers-doc2vec-pv-dbow} recommender with the Doc2Vec \ac{dbow} text-model on the answers.}
]{"images/data/questions-by-similar-users.answers-doc2vec-pv-dbow/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-by-similar-users.answers-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsuad:prec:rec,
    labela=fig:qbsuad:prec,
    labelb=fig:qbsuad:rec
]
{"images/data/questions-by-similar-users.answers-doc2vec-pv-dbow/images/10-precision".png}
{"images/data/questions-by-similar-users.answers-doc2vec-pv-dbow/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-by-similar-users.answers-doc2vec-pv-dbow} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qbsuad:a:s
]
{"images/data/questions-by-similar-users.answers-doc2vec-pv-dbow/images/10-accuracy".png}
{"images/data/questions-by-similar-users.answers-doc2vec-pv-dbow/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-by-similar-users.answers-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsuad:b:s
]
{"images/data/questions-by-similar-users.answers-doc2vec-pv-dbow/images/10-precision-stats".png}
{"images/data/questions-by-similar-users.answers-doc2vec-pv-dbow/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-by-similar-users.answers-doc2vec-pv-dbow} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qbsuad:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-by-similar-users.questions-doc2vec-pv-dbow}

\image[
    label=fig:qbsuqd:stats,
    caption={The statistical data of the performance measures for the \emph{questions-by-similar-users.questions-doc2vec-pv-dbow} recommender with the Doc2Vec \ac{dbow} text-model on the questions.}
]{"images/data/questions-by-similar-users.questions-doc2vec-pv-dbow/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-by-similar-users.questions-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsuqd:prec:rec,
    labela=fig:qbsuqd:prec,
    labelb=fig:qbsuqd:rec
]
{"images/data/questions-by-similar-users.questions-doc2vec-pv-dbow/images/10-precision".png}
{"images/data/questions-by-similar-users.questions-doc2vec-pv-dbow/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-by-similar-users.questions-doc2vec-pv-dbow} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qbsuqd:a:s
]
{"images/data/questions-by-similar-users.questions-doc2vec-pv-dbow/images/10-accuracy".png}
{"images/data/questions-by-similar-users.questions-doc2vec-pv-dbow/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-by-similar-users.questions-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsuqd:b:s
]
{"images/data/questions-by-similar-users.questions-doc2vec-pv-dbow/images/10-precision-stats".png}
{"images/data/questions-by-similar-users.questions-doc2vec-pv-dbow/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-by-similar-users.questions-doc2vec-pv-dbow} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qbsuqd:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-by-similar-users.answers-tfidf-ntc}

\image[
    label=fig:qbsuat:stats,
    caption={The statistical data of the performance measures for the \emph{questions-by-similar-users.answers-tfidf-ntc} recommender with the \ac{tfidf} text-model on the questions.}
]{"images/data/questions-by-similar-users.answers-tfidf-ntc/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-by-similar-users.answers-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsuat:prec:rec,
    labela=fig:qbsuat:prec,
    labelb=fig:qbsuat:rec
]
{"images/data/questions-by-similar-users.answers-tfidf-ntc/images/10-precision".png}
{"images/data/questions-by-similar-users.answers-tfidf-ntc/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-by-similar-users.answers-tfidf-ntc} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qbsuat:a:s
]
{"images/data/questions-by-similar-users.answers-tfidf-ntc/images/10-accuracy".png}
{"images/data/questions-by-similar-users.answers-tfidf-ntc/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-by-similar-users.answers-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsuat:b:s
]
{"images/data/questions-by-similar-users.answers-tfidf-ntc/images/10-precision-stats".png}
{"images/data/questions-by-similar-users.answers-tfidf-ntc/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-by-similar-users.answers-tfidf-ntc} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qbsuat:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-by-similar-users.answers-lda-standard}

\image[
    label=fig:qbsual:stats,
    caption={The statistical data of the performance measures for the \emph{questions-by-similar-users.answers-lda-standard} recommender with the \ac{lda} text-model on the answers.}
]{"images/data/questions-by-similar-users.answers-lda-standard/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-by-similar-users.answers-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsual:prec:rec,
    labela=fig:qbsual:prec,
    labelb=fig:qbsual:rec
]
{"images/data/questions-by-similar-users.answers-lda-standard/images/10-precision".png}
{"images/data/questions-by-similar-users.answers-lda-standard/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-by-similar-users.answers-lda-standard} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qbsual:a:s
]
{"images/data/questions-by-similar-users.answers-lda-standard/images/10-accuracy".png}
{"images/data/questions-by-similar-users.answers-lda-standard/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-by-similar-users.answers-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsual:b:s
]
{"images/data/questions-by-similar-users.answers-lda-standard/images/10-precision-stats".png}
{"images/data/questions-by-similar-users.answers-lda-standard/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-by-similar-users.answers-lda-standard} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qbsual:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-by-similar-users.questions-lda-standard}

\image[
    label=fig:qbsuql:stats,
    caption={The statistical data of the performance measures for the \emph{questions-by-similar-users.questions-lda-standard} recommender with the \ac{lda} text-model on the questions.}
]{"images/data/questions-by-similar-users.questions-lda-standard/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-by-similar-users.questions-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsuql:prec:rec,
    labela=fig:qbsuql:prec,
    labelb=fig:qbsuql:rec
]
{"images/data/questions-by-similar-users.questions-lda-standard/images/10-precision".png}
{"images/data/questions-by-similar-users.questions-lda-standard/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-by-similar-users.questions-lda-standard} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qbsuql:a:s
]
{"images/data/questions-by-similar-users.questions-lda-standard/images/10-accuracy".png}
{"images/data/questions-by-similar-users.questions-lda-standard/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-by-similar-users.questions-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qbsuql:b:s
]
{"images/data/questions-by-similar-users.questions-lda-standard/images/10-precision-stats".png}
{"images/data/questions-by-similar-users.questions-lda-standard/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-by-similar-users.questions-lda-standard} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qbsuql:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-answered-by-similar-users.answers-doc2vec-pv-dbow}

\image[
    label=fig:qabsuad:stats,
    caption={The statistical data of the performance measures for the \emph{questions-answered-by-similar-users.answers-doc2vec-pv-dbow} recommender with the Doc2Vec \ac{dbow} text-model on the answers.}
]{"images/data/questions-answered-by-similar-users.answers-doc2vec-pv-dbow/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-answered-by-similar-users.answers-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsuad:prec:rec,
    labela=fig:qabsuad:prec,
    labelb=fig:qabsuad:rec
]
{"images/data/questions-answered-by-similar-users.answers-doc2vec-pv-dbow/images/10-precision".png}
{"images/data/questions-answered-by-similar-users.answers-doc2vec-pv-dbow/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-answered-by-similar-users.answers-doc2vec-pv-dbow} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qabsuad:a:s
]
{"images/data/questions-answered-by-similar-users.answers-doc2vec-pv-dbow/images/10-accuracy".png}
{"images/data/questions-answered-by-similar-users.answers-doc2vec-pv-dbow/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-answered-by-similar-users.answers-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsuad:b:s
]
{"images/data/questions-answered-by-similar-users.answers-doc2vec-pv-dbow/images/10-precision-stats".png}
{"images/data/questions-answered-by-similar-users.answers-doc2vec-pv-dbow/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-answered-by-similar-users.answers-doc2vec-pv-dbow} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qabsuad:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-answered-by-similar-users.questions-doc2vec-pv-dbow}

\image[
    label=fig:qabsuqd:stats,
    caption={The statistical data of the performance measures for the \emph{questions-answered-by-similar-users.questions-doc2vec-pv-dbow} recommender with the Doc2Vec \ac{dbow} text-model on the questions.}
]{"images/data/questions-answered-by-similar-users.questions-doc2vec-pv-dbow/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-answered-by-similar-users.questions-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsuqd:prec:rec,
    labela=fig:qabsuqd:prec,
    labelb=fig:qabsuqd:rec
]
{"images/data/questions-answered-by-similar-users.questions-doc2vec-pv-dbow/images/10-precision".png}
{"images/data/questions-answered-by-similar-users.questions-doc2vec-pv-dbow/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-answered-by-similar-users.questions-doc2vec-pv-dbow} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qabsuqd:a:s
]
{"images/data/questions-answered-by-similar-users.questions-doc2vec-pv-dbow/images/10-accuracy".png}
{"images/data/questions-answered-by-similar-users.questions-doc2vec-pv-dbow/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-answered-by-similar-users.questions-doc2vec-pv-dbow} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsuqd:b:s
]
{"images/data/questions-answered-by-similar-users.questions-doc2vec-pv-dbow/images/10-precision-stats".png}
{"images/data/questions-answered-by-similar-users.questions-doc2vec-pv-dbow/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-answered-by-similar-users.questions-doc2vec-pv-dbow} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qabsuqd:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-answered-by-similar-users.answers-tfidf-ntc}

\image[
    label=fig:qabsuat:stats,
    caption={The statistical data of the performance measures for the \emph{questions-answered-by-similar-users.answers-tfidf-ntc} recommender with the \ac{tfidf} text-model on the answers.}
]{"images/data/questions-answered-by-similar-users.answers-tfidf-ntc/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-answered-by-similar-users.answers-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsuat:prec:rec,
    labela=fig:qabsuat:prec,
    labelb=fig:qabsuat:rec
]
{"images/data/questions-answered-by-similar-users.answers-tfidf-ntc/images/10-precision".png}
{"images/data/questions-answered-by-similar-users.answers-tfidf-ntc/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-answered-by-similar-users.answers-tfidf-ntc} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qabsuat:a:s
]
{"images/data/questions-answered-by-similar-users.answers-tfidf-ntc/images/10-accuracy".png}
{"images/data/questions-answered-by-similar-users.answers-tfidf-ntc/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-answered-by-similar-users.answers-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsuat:b:s
]
{"images/data/questions-answered-by-similar-users.answers-tfidf-ntc/images/10-precision-stats".png}
{"images/data/questions-answered-by-similar-users.answers-tfidf-ntc/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-answered-by-similar-users.answers-tfidf-ntc} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qabsuat:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-answered-by-similar-users.questions-tfidf-ntc}

\image[
    label=fig:qabsuqt:stats,
    caption={The statistical data of the performance measures for the \emph{questions-answered-by-similar-users.questions-tfidf-ntc} recommender with the \ac{tfidf} text-model on the questions.}
]{"images/data/questions-answered-by-similar-users.questions-tfidf-ntc/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-answered-by-similar-users.questions-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsuqt:prec:rec,
    labela=fig:qabsuqt:prec,
    labelb=fig:qabsuqt:rec
]
{"images/data/questions-answered-by-similar-users.questions-tfidf-ntc/images/10-precision".png}
{"images/data/questions-answered-by-similar-users.questions-tfidf-ntc/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-answered-by-similar-users.questions-tfidf-ntc} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qabsuqt:a:s
]
{"images/data/questions-answered-by-similar-users.questions-tfidf-ntc/images/10-accuracy".png}
{"images/data/questions-answered-by-similar-users.questions-tfidf-ntc/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-answered-by-similar-users.questions-tfidf-ntc} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsuqt:b:s
]
{"images/data/questions-answered-by-similar-users.questions-tfidf-ntc/images/10-precision-stats".png}
{"images/data/questions-answered-by-similar-users.questions-tfidf-ntc/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-answered-by-similar-users.questions-tfidf-ntc} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qabsuqt:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}

\subsubsection{questions-answered-by-similar-users.answers-lda-standard}

\image[
    label=fig:qabsual:stats,
    caption={The statistical data of the performance measures for the \emph{questions-answered-by-similar-users.answers-lda-standard} recommender with the \ac{lda} text-model on the answer.}
]{"images/data/questions-answered-by-similar-users.answers-lda-standard/confusion-matrix-stats".png}

\doubleimage[
    caption={Precision and recall histogram of the \emph{questions-answered-by-similar-users.answers-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsual:prec:rec,
    labela=fig:qabsual:prec,
    labelb=fig:qabsual:rec
]
{"images/data/questions-answered-by-similar-users.answers-lda-standard/images/10-precision".png}
{"images/data/questions-answered-by-similar-users.answers-lda-standard/images/10-recall".png}

\doubleimage[
    caption={Accuracy and F1-Measure histogram of the \emph{questions-answered-by-similar-users.answers-lda-standard} recommender},
    captiona="Accuracy",
    captionb="F1-Measure",
    label=fig:qabsual:a:s
]
{"images/data/questions-answered-by-similar-users.answers-lda-standard/images/10-accuracy".png}
{"images/data/questions-answered-by-similar-users.answers-lda-standard/images/10-f-measure".png}

\doubleimage[
    caption={Precision and recall normal distribution plot for the \emph{questions-answered-by-similar-users.answers-lda-standard} recommender.},
    captiona="Precision",
    captionb="Recall",
    label=fig:qabsual:b:s
]
{"images/data/questions-answered-by-similar-users.answers-lda-standard/images/10-precision-stats".png}
{"images/data/questions-answered-by-similar-users.answers-lda-standard/images/10-recall-stats".png}

\doubleimage[
    caption={Accuracy and F1-Measure normal distribution plot for the \emph{questions-answered-by-similar-users.answers-lda-standard} recommender.},
    captiona="Accuracy",
    captionb="f1-Measure",
    label=fig:qabsual:a:s
]
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-accuracy-stats".png}
{"images/data/questions-answered-by-similar-users.questions-lda-standard/images/10-f-measure-stats".png}